tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node Class Reference

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node:
Collaboration diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node:

## Public Member Functions

value_type * | storage ()
value_type & | value ()

## Private Attributes

tbb::aligned_space< value_type > | my_value

## Detailed Description

### template<typename Key, typename T, typename HashCompare, typename Allocator>
class tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node

Definition at line 616 of file concurrent_hash_map.h.

## Member Function Documentation

## storage()

template<typename Key, typename T, typename HashCompare, typename Allocator>

value_type* tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::storage | ( |  | ) |

inline

Definition at line 619 of file concurrent_hash_map.h.

{ return my_value.begin(); }

References tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::my_value.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::create_node(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_fast_find(), and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::value().

Here is the caller graph for this function:

## value()

template<typename Key, typename T, typename HashCompare, typename Allocator>

value_type& tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::value | ( |  | ) |

inline

Definition at line 620 of file concurrent_hash_map.h.

{ return *storage(); }

References tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::storage().

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::generic_emplace(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_copy(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::const_accessor::operator*(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::accessor::operator*(), and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::search_bucket().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## my_value

template<typename Key, typename T, typename HashCompare, typename Allocator>

tbb::aligned_space<value_type> tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::my_value

private

Definition at line 617 of file concurrent_hash_map.h.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node::storage().

The documentation for this class was generated from the following file:

- concurrent_hash_map.h

tbb::interface5::concurrent_hash_map::node::storage
value_type * storage()
Definition: concurrent_hash_map.h:619
tbb::interface5::concurrent_hash_map::node::my_value
tbb::aligned_space< value_type > my_value
Definition: concurrent_hash_map.h:617

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.